diff --git a/python/requests/requests/utils.py b/python/requests/requests/utils.py
index c5c3fd01d9..9131b7aac7 100644
--- a/python/requests/requests/utils.py
+++ b/python/requests/requests/utils.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 """
 requests.utils
 ~~~~~~~~~~~~~~
@@ -26,7 +24,7 @@ from . import certs
 from .compat import parse_http_list as _parse_list_header
 from .compat import (quote, urlparse, bytes, str, OrderedDict, unquote, is_py2,
                      builtin_str, getproxies, proxy_bypass, urlunparse,
-                     basestring)
+                     str)
 from .cookies import RequestsCookieJar, cookiejar_from_dict
 from .structures import CaseInsensitiveDict
 from .exceptions import InvalidURL, FileModeWarning
@@ -42,7 +40,7 @@ def dict_to_sequence(d):
     """Returns an internal sequence dictionary update."""
 
     if hasattr(d, 'items'):
-        d = d.items()
+        d = list(d.items())
 
     return d
 
@@ -98,7 +96,7 @@ def get_netrc_auth(url, raise_errors=False):
 
         for f in NETRC_FILES:
             try:
-                loc = os.path.expanduser('~/{0}'.format(f))
+                loc = os.path.expanduser('~/{}'.format(f))
             except KeyError:
                 # os.path.expanduser can fail when $HOME is undefined and
                 # getpwuid fails. See http://bugs.python.org/issue20164 &
@@ -128,7 +126,7 @@ def get_netrc_auth(url, raise_errors=False):
                 # Return with login / password
                 login_i = (0 if _netrc[0] else 1)
                 return (_netrc[login_i], _netrc[2])
-        except (NetrcParseError, IOError):
+        except (NetrcParseError, OSError):
             # If there was a parsing error or a permissions issue reading the file,
             # we'll just skip netrc auth unless explicitly asked to raise errors.
             if raise_errors:
@@ -142,7 +140,7 @@ def get_netrc_auth(url, raise_errors=False):
 def guess_filename(obj):
     """Tries to guess the filename of the given object."""
     name = getattr(obj, 'name', None)
-    if (name and isinstance(name, basestring) and name[0] != '<' and
+    if (name and isinstance(name, str) and name[0] != '<' and
             name[-1] != '>'):
         return os.path.basename(name)
 
@@ -189,8 +187,8 @@ def to_key_val_list(value):
     if isinstance(value, (str, bytes, bool, int)):
         raise ValueError('cannot encode objects that are not 2-tuples')
 
-    if isinstance(value, collections.Mapping):
-        value = value.items()
+    if isinstance(value, collections.abc.Mapping):
+        value = list(value.items())
 
     return list(value)
 
@@ -355,8 +353,7 @@ def stream_decode_response_unicode(iterator, r):
     """Stream decodes a iterator."""
 
     if r.encoding is None:
-        for item in iterator:
-            yield item
+        yield from iterator
         return
 
     decoder = codecs.getincrementaldecoder(r.encoding)(errors='replace')
@@ -485,7 +482,7 @@ def dotted_netmask(mask):
 def is_ipv4_address(string_ip):
     try:
         socket.inet_aton(string_ip)
-    except socket.error:
+    except OSError:
         return False
     return True
 
@@ -503,7 +500,7 @@ def is_valid_cidr(string_network):
 
         try:
             socket.inet_aton(string_network.split('/')[0])
-        except socket.error:
+        except OSError:
             return False
     else:
         return False
@@ -579,7 +576,7 @@ def select_proxy(url, proxies):
 
 def default_user_agent(name="python-requests"):
     """Return a string representing the default user agent."""
-    return '%s/%s' % (name, __version__)
+    return '{}/{}'.format(name, __version__)
 
 
 def default_headers():
diff --git a/python/requests/setup.py b/python/requests/setup.py
index b7ed12ba2c..3d0613c78a 100755
--- a/python/requests/setup.py
+++ b/python/requests/setup.py
@@ -29,7 +29,7 @@ packages = [
 requires = []
 
 version = ''
-with open('requests/__init__.py', 'r') as fd:
+with open('requests/__init__.py') as fd:
     version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                         fd.read(), re.MULTILINE).group(1)
 
diff --git a/python/requests/test_requests.py b/python/requests/test_requests.py
index 0795241867..25f0f2f832 100755
--- a/python/requests/test_requests.py
+++ b/python/requests/test_requests.py
@@ -1,9 +1,7 @@
 #!/usr/bin/env python
-# -*- coding: utf-8 -*-
 
 """Tests for Requests."""
 
-from __future__ import division
 import json
 import os
 import pickle
@@ -74,7 +72,7 @@ def httpsbin_url(httpbin_secure):
 # listening on that port)
 TARPIT = "http://10.255.255.1"
 
-class TestRequests(object):
+class TestRequests:
 
     _multiprocess_can_split_ = True
 
@@ -159,7 +157,7 @@ class TestRequests(object):
 
     def test_binary_put(self):
         request = requests.Request('PUT', 'http://example.com',
-                                   data=u"ööö".encode("utf-8")).prepare()
+                                   data="ööö".encode()).prepare()
         assert isinstance(request.body, bytes)
 
     def test_mixed_case_scheme_acceptable(self, httpbin):
@@ -171,7 +169,7 @@ class TestRequests(object):
             url = scheme + parts.netloc + parts.path
             r = requests.Request('GET', url)
             r = s.send(r.prepare())
-            assert r.status_code == 200, 'failed for scheme {0}'.format(scheme)
+            assert r.status_code == 200, 'failed for scheme {}'.format(scheme)
 
     def test_HTTP_200_OK_GET_ALTERNATIVE(self, httpbin):
         r = requests.Request('GET', httpbin('get'))
@@ -523,7 +521,7 @@ class TestRequests(object):
     def test_unicode_header_name(self, httpbin):
         requests.put(
             httpbin('put'),
-            headers={str('Content-Type'): 'application/octet-stream'},
+            headers={'Content-Type': 'application/octet-stream'},
             data='\xff')  # compat.str is unicode.
 
     def test_pyopenssl_redirect(self, httpsbin_url, httpbin_ca_bundle):
@@ -559,7 +557,7 @@ class TestRequests(object):
         assert r.status_code == 200
 
         r = requests.post(httpbin('post'),
-            data={'stuff': 'elixr'.encode('utf-8')},
+            data={'stuff': b'elixr'},
             files={'file': ('test_requests.py', open(__file__, 'rb'))})
         assert r.status_code == 200
 
@@ -567,7 +565,7 @@ class TestRequests(object):
         filename = os.path.splitext(__file__)[0] + '.py'
         r = requests.Request(method='POST',
                              url=httpbin('post'),
-                             data={'stuff'.encode('utf-8'): 'elixr'},
+                             data={b'stuff': 'elixr'},
                              files={'file': ('test_requests.py',
                                              open(filename, 'rb'))})
         prep = r.prepare()
@@ -719,8 +717,8 @@ class TestRequests(object):
         jar.set(key1, value1)
 
         d1 = dict(jar)
-        d2 = dict(jar.iteritems())
-        d3 = dict(jar.items())
+        d2 = dict(jar.items())
+        d3 = dict(list(jar.items()))
 
         assert len(jar) == 2
         assert len(d1) == 2
@@ -739,8 +737,8 @@ class TestRequests(object):
         jar.set(key1, value1)
 
         d1 = dict(jar)
-        d2 = dict(jar.iteritems())
-        d3 = dict(jar.items())
+        d2 = dict(jar.items())
+        d3 = dict(list(jar.items()))
 
         assert d1['some_cookie'] == 'some_value'
         assert d2['some_cookie'] == 'some_value'
@@ -757,7 +755,7 @@ class TestRequests(object):
         jar.set(key, value)
         jar.set(key1, value1)
 
-        keys = jar.keys()
+        keys = list(jar.keys())
         assert keys == list(keys)
         # make sure one can use keys multiple times
         assert list(keys) == list(keys)
@@ -773,7 +771,7 @@ class TestRequests(object):
         jar.set(key, value)
         jar.set(key1, value1)
 
-        values = jar.values()
+        values = list(jar.values())
         assert values == list(values)
         # make sure one can use values multiple times
         assert list(values) == list(values)
@@ -789,7 +787,7 @@ class TestRequests(object):
         jar.set(key, value)
         jar.set(key1, value1)
 
-        items = jar.items()
+        items = list(jar.items())
         assert items == list(items)
         # make sure one can use items multiple times
         assert list(items) == list(items)
@@ -962,7 +960,7 @@ class TestRequests(object):
         assert r.json()['args'] == {'foo': 'bar', 'FOO': 'bar'}
 
     def test_long_authinfo_in_url(self):
-        url = 'http://{0}:{1}@{2}:9000/path?query#frag'.format(
+        url = 'http://{}:{}@{}:9000/path?query#frag'.format(
             'E8A3BE87-9E3F-4620-8858-95478E385B5B',
             'EA770032-DA4D-4D84-8CE9-29C6D910BF1E',
             'exactly-------------sixty-----------three------------characters',
@@ -971,14 +969,14 @@ class TestRequests(object):
         assert r.url == url
 
     def test_header_keys_are_native(self, httpbin):
-        headers = {u('unicode'): 'blah', 'byte'.encode('ascii'): 'blah'}
+        headers = {u('unicode'): 'blah', b'byte': 'blah'}
         r = requests.Request('GET', httpbin('get'), headers=headers)
         p = r.prepare()
 
         # This is testing that they are builtin strings. A bit weird, but there
         # we go.
-        assert 'unicode' in p.headers.keys()
-        assert 'byte' in p.headers.keys()
+        assert 'unicode' in list(p.headers.keys())
+        assert 'byte' in list(p.headers.keys())
 
     def test_can_send_nonstring_objects_with_files(self, httpbin):
         data = {'a': 0.0}
@@ -1306,7 +1304,7 @@ class TestCaseInsensitiveDict(unittest.TestCase):
         })
         keyset = frozenset(['Accept', 'user-Agent'])
         assert frozenset(i[0] for i in cid.items()) == keyset
-        assert frozenset(cid.keys()) == keyset
+        assert frozenset(list(cid.keys())) == keyset
         assert frozenset(cid) == keyset
 
     def test_preserve_last_key_case(self):
@@ -1318,7 +1316,7 @@ class TestCaseInsensitiveDict(unittest.TestCase):
         cid['USER-AGENT'] = 'requests'
         keyset = frozenset(['ACCEPT', 'USER-AGENT'])
         assert frozenset(i[0] for i in cid.items()) == keyset
-        assert frozenset(cid.keys()) == keyset
+        assert frozenset(list(cid.keys())) == keyset
         assert frozenset(cid) == keyset
 
     def test_copy(self):
@@ -1731,7 +1729,7 @@ def test_urllib3_pool_connection_closed(httpbin):
     try:
         s.get(httpbin('status/200'))
     except ConnectionError as e:
-        assert u"Pool is closed." in str(e)
+        assert "Pool is closed." in str(e)
 
 
 def test_vendor_aliases():
diff --git a/python/rsa/create_timing_table.py b/python/rsa/create_timing_table.py
index b1b2871b3d..b37f20ae52 100755
--- a/python/rsa/create_timing_table.py
+++ b/python/rsa/create_timing_table.py
@@ -20,7 +20,7 @@ def run_speed_test(bitsize):
     duration = end - start
     dur_per_call = duration / iterations
 
-    print '%5i bit: %9.3f sec. (%i iterations over %.1f seconds)' % (bitsize,
+    print('%5i bit: %9.3f sec. (%i iterations over %.1f seconds)' % (bitsize,)
             dur_per_call, iterations, duration)
 
 for bitsize in (128, 256, 384, 512, 1024, 2048, 3072, 4096):
diff --git a/python/rsa/rsa/__init__.py b/python/rsa/rsa/__init__.py
index 2d01c12e0f..305ccf56be 100644
--- a/python/rsa/rsa/__init__.py
+++ b/python/rsa/rsa/__init__.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
diff --git a/python/rsa/rsa/_compat.py b/python/rsa/rsa/_compat.py
index 3c4eb81b13..8dc522c3a5 100644
--- a/python/rsa/rsa/_compat.py
+++ b/python/rsa/rsa/_compat.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -17,7 +16,6 @@
 """Python compatibility wrappers."""
 
 
-from __future__ import absolute_import
 
 import sys
 from struct import pack
@@ -25,7 +23,7 @@ from struct import pack
 try:
     MAX_INT = sys.maxsize
 except AttributeError:
-    MAX_INT = sys.maxint
+    MAX_INT = sys.maxsize
 
 MAX_INT64 = (1 << 63) - 1
 MAX_INT32 = (1 << 31) - 1
@@ -45,7 +43,7 @@ else:
 
 try:
     # < Python3
-    unicode_type = unicode
+    unicode_type = str
     have_python3 = False
 except NameError:
     # Python3.
@@ -62,7 +60,7 @@ else:
 
 # ``long`` is no more. Do type detection using this instead.
 try:
-    integer_types = (int, long)
+    integer_types = int
 except NameError:
     integer_types = (int,)
 
diff --git a/python/rsa/rsa/_version133.py b/python/rsa/rsa/_version133.py
index 230a03c84b..65aa3ede92 100644
--- a/python/rsa/rsa/_version133.py
+++ b/python/rsa/rsa/_version133.py
@@ -18,7 +18,7 @@ __version__ = '1.3.3'
 # NOTE: Python's modulo can return negative numbers. We compensate for
 # this behaviour using the abs() function
 
-from cPickle import dumps, loads
+from six.moves.cPickle import dumps, loads
 import base64
 import math
 import os
@@ -55,14 +55,14 @@ def bytes2int(bytes):
     8405007
     """
 
-    if not (type(bytes) is types.ListType or type(bytes) is types.StringType):
+    if not (type(bytes) is list or type(bytes) is bytes):
         raise TypeError("You must pass a string or a list")
 
     # Convert byte stream to integer
     integer = 0
     for byte in bytes:
         integer *= 256
-        if type(byte) is types.StringType: byte = ord(byte)
+        if type(byte) is bytes: byte = ord(byte)
         integer += byte
 
     return integer
@@ -74,13 +74,13 @@ def int2bytes(number):
     123456789
     """
 
-    if not (type(number) is types.LongType or type(number) is types.IntType):
+    if not (type(number) is int or type(number) is int):
         raise TypeError("You must pass a long or an int")
 
     string = ""
 
     while number > 0:
-        string = "%s%s" % (byte(number & 0xFF), string)
+        string = "{}{}".format(byte(number & 0xFF), string)
         number /= 256
     
     return string
@@ -268,7 +268,7 @@ def extended_euclid_gcd(a, b):
         return (a, 1, 0)
 
     q = abs(a % b)
-    r = long(a / b)
+    r = int(a / b)
     (d, k, l) = extended_euclid_gcd(b, q)
 
     return (d, l, k - l*r)
@@ -330,10 +330,10 @@ def encrypt_int(message, ekey, n):
     """Encrypts a message using encryption key 'ekey', working modulo
     n"""
 
-    if type(message) is types.IntType:
-        return encrypt_int(long(message), ekey, n)
+    if type(message) is int:
+        return encrypt_int(int(message), ekey, n)
 
-    if not type(message) is types.LongType:
+    if not type(message) is int:
         raise TypeError("You must pass a long or an int")
 
     if message > 0 and \
diff --git a/python/rsa/rsa/_version200.py b/python/rsa/rsa/_version200.py
index f915653857..4b047c320e 100644
--- a/python/rsa/rsa/_version200.py
+++ b/python/rsa/rsa/_version200.py
@@ -52,14 +52,14 @@ def bytes2int(bytes):
     8405007
     """
 
-    if not (type(bytes) is types.ListType or type(bytes) is types.StringType):
+    if not (type(bytes) is list or type(bytes) is bytes):
         raise TypeError("You must pass a string or a list")
 
     # Convert byte stream to integer
     integer = 0
     for byte in bytes:
         integer *= 256
-        if type(byte) is types.StringType: byte = ord(byte)
+        if type(byte) is bytes: byte = ord(byte)
         integer += byte
 
     return integer
@@ -69,13 +69,13 @@ def int2bytes(number):
     Converts a number to a string of bytes
     """
 
-    if not (type(number) is types.LongType or type(number) is types.IntType):
+    if not (type(number) is int or type(number) is int):
         raise TypeError("You must pass a long or an int")
 
     string = ""
 
     while number > 0:
-        string = "%s%s" % (byte(number & 0xFF), string)
+        string = "{}{}".format(byte(number & 0xFF), string)
         number /= 256
     
     return string
@@ -88,7 +88,7 @@ def to64(number):
     'A'
     """
 
-    if not (type(number) is types.LongType or type(number) is types.IntType):
+    if not (type(number) is int or type(number) is int):
         raise TypeError("You must pass a long or an int")
 
     if 0 <= number <= 9:            #00-09 translates to '0' - '9'
@@ -117,7 +117,7 @@ def from64(number):
     1
     """
 
-    if not (type(number) is types.LongType or type(number) is types.IntType):
+    if not (type(number) is int or type(number) is int):
         raise TypeError("You must pass a long or an int")
 
     if 48 <= number <= 57:         #ord('0') - ord('9') translates to 0-9
@@ -146,13 +146,13 @@ def int2str64(number):
     '7MyqL'
     """
 
-    if not (type(number) is types.LongType or type(number) is types.IntType):
+    if not (type(number) is int or type(number) is int):
         raise TypeError("You must pass a long or an int")
 
     string = ""
 
     while number > 0:
-        string = "%s%s" % (to64(number & 0x3F), string)
+        string = "{}{}".format(to64(number & 0x3F), string)
         number /= 64
 
     return string
@@ -166,13 +166,13 @@ def str642int(string):
     123456789
     """
 
-    if not (type(string) is types.ListType or type(string) is types.StringType):
+    if not (type(string) is list or type(string) is bytes):
         raise TypeError("You must pass a string or a list")
 
     integer = 0
     for byte in string:
         integer *= 64
-        if type(byte) is types.StringType: byte = ord(byte)
+        if type(byte) is bytes: byte = ord(byte)
         integer += from64(byte)
 
     return integer
@@ -333,7 +333,7 @@ def extended_gcd(a, b):
     oa = a                             #Remember original a/b to remove 
     ob = b                             #negative values from return results
     while b != 0:
-        q = long(a/b)
+        q = int(a/b)
         (a, b)  = (b, a % b)
         (x, lx) = ((lx - (q * x)),x)
         (y, ly) = ((ly - (q * y)),y)
@@ -393,10 +393,10 @@ def newkeys(nbits):
 def encrypt_int(message, ekey, n):
     """Encrypts a message using encryption key 'ekey', working modulo n"""
 
-    if type(message) is types.IntType:
-        message = long(message)
+    if type(message) is int:
+        message = int(message)
 
-    if not type(message) is types.LongType:
+    if not type(message) is int:
         raise TypeError("You must pass a long or int")
 
     if message < 0 or message > n:
diff --git a/python/rsa/rsa/bigfile.py b/python/rsa/rsa/bigfile.py
index 516cf56b51..87a861581b 100644
--- a/python/rsa/rsa/bigfile.py
+++ b/python/rsa/rsa/bigfile.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
diff --git a/python/rsa/rsa/cli.py b/python/rsa/rsa/cli.py
index 527cc4979a..afff615ea1 100644
--- a/python/rsa/rsa/cli.py
+++ b/python/rsa/rsa/cli.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -19,7 +18,6 @@
 These scripts are called by the executables defined in setup.py.
 '''
 
-from __future__ import with_statement, print_function
 
 import abc
 import sys
@@ -87,7 +85,7 @@ def keygen():
         sys.stdout.write(data)
 
 
-class CryptoOperation(object):
+class CryptoOperation:
     '''CLI callable that operates with input, output, and a key.'''
 
     __metaclass__ = abc.ABCMeta
@@ -164,7 +162,7 @@ class CryptoOperation(object):
     def read_key(self, filename, keyform):
         '''Reads a public or private key.'''
 
-        print('Reading %s key from %s' % (self.keyname, filename), file=sys.stderr)
+        print('Reading {} key from {}'.format(self.keyname, filename), file=sys.stderr)
         with open(filename, 'rb') as keyfile:
             keydata = keyfile.read()
 
diff --git a/python/rsa/rsa/common.py b/python/rsa/rsa/common.py
index 39feb8c228..216259f7f4 100644
--- a/python/rsa/rsa/common.py
+++ b/python/rsa/rsa/common.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
diff --git a/python/rsa/rsa/core.py b/python/rsa/rsa/core.py
index 90dfee8e57..a1a4786b1a 100644
--- a/python/rsa/rsa/core.py
+++ b/python/rsa/rsa/core.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -28,7 +27,7 @@ def assert_int(var, name):
     if is_integer(var):
         return
 
-    raise TypeError('%s should be an integer, not %s' % (name, var.__class__))
+    raise TypeError('{} should be an integer, not {}'.format(name, var.__class__))
 
 def encrypt_int(message, ekey, n):
     '''Encrypts a message using encryption key 'ekey', working modulo n'''
diff --git a/python/rsa/rsa/key.py b/python/rsa/rsa/key.py
index b6de7b3f3b..0615f392e8 100644
--- a/python/rsa/rsa/key.py
+++ b/python/rsa/rsa/key.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -25,6 +24,7 @@ of pyasn1.
 
 '''
 
+from __future__ import print_function
 import logging
 from rsa._compat import b, bytes_type
 
@@ -36,7 +36,7 @@ log = logging.getLogger(__name__)
 
 
 
-class AbstractKey(object):
+class AbstractKey:
     '''Abstract superclass for private and public keys.'''
 
     @classmethod
@@ -58,7 +58,7 @@ class AbstractKey(object):
 
         if format not in methods:
             formats = ', '.join(sorted(methods.keys()))
-            raise ValueError('Unsupported format: %r, try one of %s' % (format,
+            raise ValueError('Unsupported format: {!r}, try one of {}'.format(format,
                 formats))
 
         method = methods[format]
@@ -79,7 +79,7 @@ class AbstractKey(object):
 
         if format not in methods:
             formats = ', '.join(sorted(methods.keys()))
-            raise ValueError('Unsupported format: %r, try one of %s' % (format,
+            raise ValueError('Unsupported format: {!r}, try one of {}'.format(format,
                 formats))
 
         method = methods[format]
@@ -605,7 +605,7 @@ if __name__ == '__main__':
                 break
 
             if (count and count % 10 == 0) or count == 1:
-                print('%i times' % count)
+                print(('%i times' % count))
     except KeyboardInterrupt:
         print('Aborted')
     else:
diff --git a/python/rsa/rsa/parallel.py b/python/rsa/rsa/parallel.py
index e5034ac707..a170358461 100644
--- a/python/rsa/rsa/parallel.py
+++ b/python/rsa/rsa/parallel.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -24,8 +23,8 @@ Introduced in Python-RSA 3.1.
 
 '''
 
-from __future__ import print_function
 
+from __future__ import print_function
 import multiprocessing as mp
 
 import rsa.prime
@@ -88,7 +87,7 @@ if __name__ == '__main__':
             break
         
         if count and count % 10 == 0:
-            print('%i times' % count)
+            print(('%i times' % count))
     
     print('Doctests done')
 
diff --git a/python/rsa/rsa/pem.py b/python/rsa/rsa/pem.py
index b1c3a0edb4..d47534619a 100644
--- a/python/rsa/rsa/pem.py
+++ b/python/rsa/rsa/pem.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
diff --git a/python/rsa/rsa/pkcs1.py b/python/rsa/rsa/pkcs1.py
index 15e4cf639e..5dc33d87d4 100644
--- a/python/rsa/rsa/pkcs1.py
+++ b/python/rsa/rsa/pkcs1.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -28,6 +27,7 @@ can be used to deduce where in the process the failure occurred. DO NOT PASS
 SUCH INFORMATION to your users.
 '''
 
+from __future__ import print_function
 import hashlib
 import os
 
@@ -386,6 +386,6 @@ if __name__ == '__main__':
             break
         
         if count and count % 100 == 0:
-            print('%i times' % count)
+            print(('%i times' % count))
     
     print('Doctests done')
diff --git a/python/rsa/rsa/prime.py b/python/rsa/rsa/prime.py
index 7422eb1d28..574d413bae 100644
--- a/python/rsa/rsa/prime.py
+++ b/python/rsa/rsa/prime.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -20,6 +19,7 @@ Implementation based on the book Algorithm Design by Michael T. Goodrich and
 Roberto Tamassia, 2002.
 '''
 
+from __future__ import print_function
 __all__ = [ 'getprime', 'are_relatively_prime']
 
 import rsa.randnum
@@ -161,6 +161,6 @@ if __name__ == '__main__':
             break
         
         if count and count % 100 == 0:
-            print('%i times' % count)
+            print(('%i times' % count))
     
     print('Doctests done')
diff --git a/python/rsa/rsa/randnum.py b/python/rsa/rsa/randnum.py
index 0e782744c0..16c2bdaafd 100644
--- a/python/rsa/rsa/randnum.py
+++ b/python/rsa/rsa/randnum.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
diff --git a/python/rsa/rsa/transform.py b/python/rsa/rsa/transform.py
index c740b2d275..ebdca1f1d9 100644
--- a/python/rsa/rsa/transform.py
+++ b/python/rsa/rsa/transform.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -19,7 +18,6 @@
 From bytes to a number, number to bytes, etc.
 '''
 
-from __future__ import absolute_import
 
 try:
     # We'll use psyco if available on 32-bit architectures to speed up code.
diff --git a/python/rsa/rsa/util.py b/python/rsa/rsa/util.py
index 5bbb70be18..5c34c57ee2 100644
--- a/python/rsa/rsa/util.py
+++ b/python/rsa/rsa/util.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
@@ -16,7 +15,6 @@
 
 '''Utility functions.'''
 
-from __future__ import with_statement, print_function
 
 import sys
 from optparse import OptionParser
diff --git a/python/rsa/rsa/varblock.py b/python/rsa/rsa/varblock.py
index c7d96ae6a7..563873a48a 100644
--- a/python/rsa/rsa/varblock.py
+++ b/python/rsa/rsa/varblock.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 #  Copyright 2011 Sybren A. Stüvel <sybren@stuvel.eu>
 #
diff --git a/python/rsa/run_tests.py b/python/rsa/run_tests.py
index e0f249081f..577c95a495 100644
--- a/python/rsa/run_tests.py
+++ b/python/rsa/run_tests.py
@@ -1,5 +1,4 @@
 #!/usr/bin/env python
-# -*- coding: utf-8 -*-
 
 import os
 import sys
diff --git a/python/rsa/tests/constants.py b/python/rsa/tests/constants.py
index 6a0d081836..7159fd66f9 100644
--- a/python/rsa/tests/constants.py
+++ b/python/rsa/tests/constants.py
@@ -1,9 +1,7 @@
-# -*- coding: utf-8 -*-
-
 from rsa._compat import have_python3
 
 if have_python3:
-    from py3kconstants import *
+    from .py3kconstants import *
 else:
-    from py2kconstants import *
+    from .py2kconstants import *
 
diff --git a/python/rsa/tests/py2kconstants.py b/python/rsa/tests/py2kconstants.py
index 5f695dd227..9c52637d2a 100644
--- a/python/rsa/tests/py2kconstants.py
+++ b/python/rsa/tests/py2kconstants.py
@@ -1,3 +1 @@
-# -*- coding: utf-8 -*-
-
-unicode_string = u"Euro=\u20ac ABCDEFGHIJKLMNOPQRSTUVWXYZ"
+unicode_string = "Euro=\u20ac ABCDEFGHIJKLMNOPQRSTUVWXYZ"
diff --git a/python/rsa/tests/py3kconstants.py b/python/rsa/tests/py3kconstants.py
index 83b67129c9..9c52637d2a 100644
--- a/python/rsa/tests/py3kconstants.py
+++ b/python/rsa/tests/py3kconstants.py
@@ -1,3 +1 @@
-# -*- coding: utf-8 -*-
-
 unicode_string = "Euro=\u20ac ABCDEFGHIJKLMNOPQRSTUVWXYZ"
diff --git a/python/rsa/tests/test_bigfile.py b/python/rsa/tests/test_bigfile.py
index 86bcbbac6f..a09bf83976 100644
--- a/python/rsa/tests/test_bigfile.py
+++ b/python/rsa/tests/test_bigfile.py
@@ -31,7 +31,7 @@ class BigfileTest(unittest2.TestCase):
         clearfile = BytesIO()
 
         bigfile.decrypt_bigfile(cryptfile, clearfile, priv_key)
-        self.assertEquals(clearfile.getvalue(), message)
+        self.assertEqual(clearfile.getvalue(), message)
         
         # We have 2x6 bytes in the message, so that should result in two
         # bigfile.
diff --git a/python/rsa/tests/test_common.py b/python/rsa/tests/test_common.py
index d105dc020f..00d871b012 100644
--- a/python/rsa/tests/test_common.py
+++ b/python/rsa/tests/test_common.py
@@ -1,5 +1,4 @@
 #!/usr/bin/env python
-# -*- coding: utf-8 -*-
 
 import unittest2
 import struct
diff --git a/python/rsa/tests/test_compat.py b/python/rsa/tests/test_compat.py
index 3652c82d51..cfa2c2b2d1 100644
--- a/python/rsa/tests/test_compat.py
+++ b/python/rsa/tests/test_compat.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import unittest2
 import struct
 
diff --git a/python/rsa/tests/test_integers.py b/python/rsa/tests/test_integers.py
index 0a712aa0fc..8f75829779 100644
--- a/python/rsa/tests/test_integers.py
+++ b/python/rsa/tests/test_integers.py
@@ -1,5 +1,6 @@
 '''Tests integer operations.'''
 
+from __future__ import print_function
 import unittest2
 
 import rsa.core
@@ -12,13 +13,13 @@ class IntegerTest(unittest2.TestCase):
     def test_enc_dec(self):
 
         message = 42
-        print("\tMessage:   %d" % message)
+        print(("\tMessage:   %d" % message))
 
         encrypted = rsa.core.encrypt_int(message, self.pub.e, self.pub.n)
-        print("\tEncrypted: %d" % encrypted)
+        print(("\tEncrypted: %d" % encrypted))
 
         decrypted = rsa.core.decrypt_int(encrypted, self.priv.d, self.pub.n)
-        print("\tDecrypted: %d" % decrypted)
+        print(("\tDecrypted: %d" % decrypted))
 
         self.assertEqual(message, decrypted)
 
@@ -27,10 +28,10 @@ class IntegerTest(unittest2.TestCase):
         message = 42
 
         signed = rsa.core.encrypt_int(message,self.priv.d, self.pub.n)
-        print("\tSigned:    %d" % signed)
+        print(("\tSigned:    %d" % signed))
 
         verified = rsa.core.decrypt_int(signed, self.pub.e,self.pub.n)
-        print("\tVerified:  %d" % verified)
+        print(("\tVerified:  %d" % verified))
 
         self.assertEqual(message, verified)
 
diff --git a/python/rsa/tests/test_pem.py b/python/rsa/tests/test_pem.py
index 867f678a0e..acfd3670b4 100644
--- a/python/rsa/tests/test_pem.py
+++ b/python/rsa/tests/test_pem.py
@@ -1,5 +1,4 @@
 #!/usr/bin/env python
-# -*- coding: utf-8 -*-
 
 
 import unittest2
diff --git a/python/rsa/tests/test_pkcs1.py b/python/rsa/tests/test_pkcs1.py
index d5882dfd1b..dea45c85c2 100644
--- a/python/rsa/tests/test_pkcs1.py
+++ b/python/rsa/tests/test_pkcs1.py
@@ -1,5 +1,6 @@
 '''Tests string operations.'''
 
+from __future__ import print_function
 import struct
 import unittest2
 
@@ -15,13 +16,13 @@ class BinaryTest(unittest2.TestCase):
     def test_enc_dec(self):
 
         message = struct.pack('>IIII', 0, 0, 0, 1)
-        print("\tMessage:   %r" % message)
+        print(("\tMessage:   %r" % message))
 
         encrypted = pkcs1.encrypt(message, self.pub)
-        print("\tEncrypted: %r" % encrypted)
+        print(("\tEncrypted: %r" % encrypted))
 
         decrypted = pkcs1.decrypt(encrypted, self.priv)
-        print("\tDecrypted: %r" % decrypted)
+        print(("\tDecrypted: %r" % decrypted))
 
         self.assertEqual(message, decrypted)
 
@@ -59,10 +60,10 @@ class SignatureTest(unittest2.TestCase):
         '''Test happy flow of sign and verify'''
         
         message = b('je moeder')
-        print("\tMessage:   %r" % message)
+        print(("\tMessage:   %r" % message))
 
         signature = pkcs1.sign(message, self.priv, 'SHA-256')
-        print("\tSignature: %r" % signature)
+        print(("\tSignature: %r" % signature))
 
         self.assertTrue(pkcs1.verify(message, signature, self.pub))
 
